<?php if($mode == 'deal'):?>
<?php $actionLink = inlink('batchEdit', "step=save&mode=$mode&type=$type&month=$month&status=$status");?>
<script>
$('#ajaxForm').attr('action', '<?php echo $actionLink;?>');
</script>
<?php endif;?>

<table class='tradeInfo hide'>
  <thead>
    <tr>
      <th class='w-70px serialNumber'><?php echo $lang->trade->serialNumber;?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach($trades as $trade):?> 
    <tr>
      <td class='serialNumber'>
        <?php echo html::input('serialNumber[KEY]', $trade->serialNumber > 0 ? $trade->serialNumber : '', "id='serialNumberKEY' class='form-control'");?>
      </td>
    </tr>
    <?php endforeach;?>
  </tbody>
</table>

<div class='noInvoice hide'>
  <?php foreach($trades as $id => $trade):?>
  <div class='input-group' id='group<?php echo $id;?>'>
    <?php echo html::input("money[$id]", $trade->money, "class='form-control' id='money{$id}' title='{$trade->money}'");?>
    <?php $checked = $trade->noInvoice ? "checked='checked'" : '';?>
    <span class='input-group-addon'>
      <label class='checkbox-inline'>
        <input type='checkbox' name="noInvoice[<?php echo $id;?>]" value='1' <?php echo $checked;?>> <?php echo $lang->trade->invoicelessLabel;?>
      </label>
    </span>
  </div>
  <?php endforeach;?>
</div>

<script>
$('.table thead tr th:nth-child(4)').removeClass('w-100px').addClass('w-160px');
$('.table thead tr').prepend($('.tradeInfo thead tr:first').html());
$('td [id^=money]').each(function(index)
{
    var id = $(this).attr('id').substring(5);
    $(this).parents('tr').prepend($('.tradeInfo tbody tr:nth(' + index + ')').html().replace(/KEY/g, id));
    $(this).parent('td').html($('.noInvoice #group' + id).clone());
})
</script>
